<?php
# Quick script to test if the msession daemon is alive and talking to PHP.
# Copyright Kurt Milligan (c) 2002
#
# Make sure the msession daemon is running!
# try:
# cd /usr/local/phoenix/msession
# nohup ./msession &
#
# This assumes you are not using the PHP session handler and the msession
# daemon is running on the local machine.
# connect to the msession daemon
msession_connect("localhost",8086);

# get/create the session id if necessary
if(!$HTTP_COOKIE_VARS['msid'])
    $mysid = msession_uniq(32); # this gets a unique sid and creates the session.
else
{
	$mysid = $HTTP_COOKIE_VARS['msid'];
	if(msession_get($mysid,'MSESSIONID','') != $mysid) get_out(); # session expired, but still have cookie.
}

# insert new session data
if($HTTP_POST_VARS['name'] && $HTTP_POST_VARS['value'])
	msession_set($mysid, $HTTP_POST_VARS['name'], $HTTP_POST_VARS['value']);

# clear session vars when asked
if($HTTP_POST_VARS['clear'])
{
	msession_destroy($mysid);
	get_out();
}
else
{
	# get current session data
	$myvars = msession_get_array($mysid);
	$myvars_c = count($myvars);
}

# set the cookie & session ID
msession_set($mysid,'MSESSIONID',$mysid); # set the sid as a variable so we can test for existance.
setcookie('msid',$mysid,time()+86400);


function get_out()
{
	global $PHP_SELF;
	setcookie('msid','',time()-86400);
        header("Location: $PHP_SELF");
        exit;
}
?>
<html>
<title>MSession Quick Test</title>
<style type="text/css">
    A {}
    .info {font-family: verdana; font-size: 12px; color: #000000; font-weight: normal;}
    .infobold {font-family: verdana; font-size: 12px; color: #000000; font-weight: bold;}
    .namehead {font-family: arial,helvetica,sans-serif; font-size: 16px; color: #000000; font-weight: bold;}
</style>
<body>
<B CLASS=namehead>MSession Quick Test</B>
<P>
<B CLASS=info>
<?php
if($myvars_c)
{
	$pf = '';
	if($myvars_c > 1) $pf = 's';
	echo "You have entered the following name/value pair$pf:<BR>\n";
	echo "<TABLE BORDER=1>\n";
	reset($myvars);
	while(list($k,$v) = each($myvars))
		if($k != 'MSESSIONID') echo "<TR><TD CLASS=infobold>$k</TD><TD CLASS=info>$v</TD></TR>\n";
	
	echo "</TABLE>\n";
}
else
	echo "Enter some name/value pairs to add to the session.";
?>
<P>
<FORM ACTION="<? echo $PHP_SELF; ?>" METHOD=POST>
<TABLE BORDER=0>
<TR><TD CLASS=infobold>Name:</TD><TD><INPUT TYPE=text NAME='name' CLASS=info></TD></TR>
<TR><TD CLASS=infobold>Value:</TD><TD><INPUT TYPE=text NAME='value' CLASS=info></TD></TR>
<TR><TD COLSPAN=2 ALIGN=right><INPUT TYPE=submit NAME=submit VALUE=Submit CLASS=info></TD></TR>
</TABLE>
</FORM>
<P>
<?
if($myvars_c)
{
?>
<FORM ACTION="<? echo $PHP_SELF; ?>" METHOD=POST>
<INPUT TYPE=submit NAME='clear' VALUE='Clear Session Vars' CLASS=info>
</FORM>
<? } ?>
<P>
<B CLASS=info>
<? if($myvars_c) echo "(BTW, your session ID is $mysid.)"; ?>
</B>
</body>
</html>
